Subject: bug#4343: comint-carriage-motion for async-shell-command

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Sep 2009 14:54:58 -0400

> The following patch does the same for asynchronous commands in
> `shell-command'.  It seems it was intended to do this anyway because
> `*Async Shell Command*' uses `shell-mode'.  But `shell-mode' doesn't set
> the filter that processes carriage control characters.  It is the `shell'
> command that sets the filter via `comint-exec' before enabling `shell-mode'.
> So it's necessary to set the filter explicitly in `shell-command'
> after enabling `shell-mode':

That looks right.  Could you try and check whether there's more of
comint's setup code that could be copied here?  And try and move this
into a new function `comint-setup-process' which both compile.el and M-&
could then use?

        Stefan